"""
Test Environment - AWS Infrastructure
Generated by InfraDSL init command
"""

# AWS Infrastructure for test environment
from infradsl import AWS

# Web Application Stack
web_server = (AWS.EC2("web-server")
    .t3_micro()
    .ubuntu()
    .service("nginx")
    .public_ip()
    .create())

# Database
database = (AWS.RDS("app-db")
    .postgresql()
    .db_t3_micro()
    .storage(20)
    .create())

# Storage for static assets
storage = (AWS.S3("app-assets")
    .website()
    .public()
    .lifecycle(30)
    .create())

print(f"✅ Test environment infrastructure created!")
print(f"🌐 Web server: {web_server['ip_address']}")
print(f"🗄️  Database: {database['endpoint']}")
print(f"📦 Storage: {storage['bucket_name']}")
